martes, 26 de febrero de 2008

Flash Player, Iceweasel y Debian Lenny amd64

Intalamos los paquetes necesarios:

# apt-get update
# apt-get install ia32-libs ia32-libs-* alien linux32

Descargamos los rpm de nspluginwrapper web

$ wget http://gwenole.beauchesne.info/
projects/nspluginwrapper/files/nspluginwrapper-0.9.91.4-1.x86_64.rpm


$ wget http://gwenole.beauchesne.info/projects
/nspluginwrapper/files/nspluginwrapper-i386-0.9.91.4-1.x86_64.rpm
/>

Convertimos los rpm de nspluginwrapper en paquetes .deb

# alien -d *.rpm
nspluginwrapper_0.9.91.4-2_amd64.deb generated
nspluginwrapper-i386_0.9.91.4-2_amd64.deb generated

Una vez convertidos los instalamos:

# dpkg -i *.deb

Ahora descargamos y el flash player desde la pagina de adobe link y lo descomprimimos

$ tar xzvf Desktop/install_flash_player_9_linux.tar.gz
$ cd install_flash_player_9_linux/

Movemos el plugin libflashplayer.so a la carpeta de plugins de iceweasel
dentro de /usr/lib/ y lo instalamos con `npconfig -i`.

# mv libflashplayer.so /usr/lib/iceweasel/plugins/
# /usr/lib/nspluginwrapper/x86_64/linux/npconfig -i /usr/lib
/iceweasel/plugins/libflashplayer.so


Reiniciamos Iceweasel y listo.


[Actualización]
Si al ejecutar el último paso obtenemos un error por no poder acceder a libgtk-x11-2.0.so.0 necesitaremos instalar el paquete ia32-libs-gtk para lo cual tenemos que añadir el siguiente repositorio en /etc/apt/sources.list:
deb http://www.backports.org/debian etch-backports main

Y actualizamos.
# apt-get update

Nos dará error debido a que no tenemos la GPG key de este repositorio. Para añadir la key ejecutamos los siguientes dos comandos cambiando las X por la clave que da el error de apt-get update:
# gpg --keyserver wwwkeys.eu.pgp.net --recv-keys XXXXXXXXXXX
# gpg --armor --export XXXXXXXXXXX | apt-key add -

Volvemos a actualizar e instalamos el paquete:
#apt-get update
#apt-get install ia32-libs-gtk

Una vez instalado ejecutamos de nuevo la instalacion de npconfig y listo.


Nota: # = ejecutamos como root
$ = ejecutamos como usuario

3 comentarios:

Anónimo dijo...

Este tutorial si sirve, gracias...
recomendado para usuarios debian/lenny

Antonio Mª dijo...

Muy bueno el tutorial. Probado en debian-amd64 testing a 30 de enero de 2009. Gracias. Ah te pido permiso para linkarlo en mi blog.

César Flores dijo...

A mi me marcó que no encontró un reproductor adecuado. Afortunadamente encontré de inmediato esta publicación donde dicen que hay un libflashplayer.so en estado alpha para versiones a 64 bits.

Hasta el momento funciona muy bien y no hay que descargar más.

http://www.forosdelweb.com/f41/instalar-flash-player-10-version-64-bits-ubuntu-64-bits-690097/